summaryrefslogtreecommitdiffstats
path: root/network/asterisk
diff options
context:
space:
mode:
author Alan Hicks <alan@lizella.net>2010-05-13 00:35:39 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:35:39 +0200
commita523a40c98d419c32442493198fd39ebec180c9c (patch)
treec0139d5728e0aba40ff0ab774fa0fbae520d0b83 /network/asterisk
parent5dee08e1714facb00a6bb16d41a1c9450ded9953 (diff)
downloadslackbuilds-a523a40c98d419c32442493198fd39ebec180c9c.tar.gz
slackbuilds-a523a40c98d419c32442493198fd39ebec180c9c.tar.xz
network/asterisk: Updated for version 1.6.1.6
Diffstat (limited to 'network/asterisk')
-rw-r--r--network/asterisk/README11
-rw-r--r--network/asterisk/asterisk.SlackBuild42
-rw-r--r--network/asterisk/asterisk.info10
-rw-r--r--network/asterisk/doinst.sh3
4 files changed, 38 insertions, 28 deletions
diff --git a/network/asterisk/README b/network/asterisk/README
index 919de7c8cf..1a16efd83c 100644
--- a/network/asterisk/README
+++ b/network/asterisk/README
@@ -1,6 +1,9 @@
Asterisk has a number of optional build dependencies. If you intend to
use any analogue PSTN hardware such as DigiumTDM400P, you should install
-the zaptel software and drivers before compiling Asterisk. If you will
-instead use digital telephony hardware (not IP phones) such as T1/E1
-lines or a PRI, you'll need to install libpri, again before compiling
-Asterisk.
+the dahdi-linux and dahdi-tools software and drivers before compiling
+Asterisk. If you will instead use digital telephony hardware (not IP
+phones) such as T1/E1 lines or a PRI, you'll need to install libpri,
+again before compiling Asterisk.
+
+Be sure to see /usr/doc/asterisk-1.6.1.6/sample_confs/ after installation
+for any additional configuration files you may need.
diff --git a/network/asterisk/asterisk.SlackBuild b/network/asterisk/asterisk.SlackBuild
index 4f0280838d..846a884589 100644
--- a/network/asterisk/asterisk.SlackBuild
+++ b/network/asterisk/asterisk.SlackBuild
@@ -1,4 +1,5 @@
#!/bin/bash
+
# Copyright 2006, Alan Hicks, Lizella, GA
# All rights reserved.
#
@@ -19,13 +20,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by Robby Workman <rworkman@slackbuilds.org>
-# No additional license terms :)
-
-set -e
-
PRGNAM="asterisk"
-VERSION="1.4.21.2"
+VERSION="1.6.1.6"
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,10 +33,17 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -fr $PKG $TMP/$PRGNAM-$VERSION
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -53,34 +56,38 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make
make samples DESTDIR=$PKG
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-mkdir -p $PKG/install $PKG/usr/doc/$PRGNAM-$VERSION/sample_confs
-mv $PKG/etc/asterisk/* $PKG/usr/doc/$PRGNAM-$VERSION/sample_confs/
-cp -a CHANGES COPYING CREDITS ChangeLog LICENSE README UPGRADE.txt doc/ \
- $PKG/usr/doc/$PRGNAM-$VERSION/
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
gzip -9 $PKG/usr/man/man?/*.?
# Logrotate script
mkdir -p $PKG/etc/logrotate.d
install -m 0644 $CWD/logrotate.asterisk $PKG/etc/logrotate.d/asterisk.new
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/sample_confs
+mv $PKG/etc/asterisk/* $PKG/usr/doc/$PRGNAM-$VERSION/sample_confs/
+cp -a CHANGES COPYING CREDITS ChangeLog LICENSE README UPGRADE.txt doc/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
# Install a few typical config files for common asterisk servers
for i in \
- asterisk codecs extensions iax indications musiconhold sip zapata modules ;
+ asterisk codecs extensions iax indications musiconhold sip modules ;
do
cat $PKG/usr/doc/$PRGNAM-$VERSION/sample_confs/${i}.conf > \
$PKG/etc/asterisk/${i}.conf.new ;
@@ -89,9 +96,10 @@ done
mkdir -p $PKG/etc/rc.d
install -m 0755 contrib/init.d/rc.slackware.asterisk $PKG/etc/rc.d/rc.asterisk.new
+mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
chown -R root:root . # Some files have improper ownership
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/asterisk/asterisk.info b/network/asterisk/asterisk.info
index 71fa1ea2dd..743be7d33c 100644
--- a/network/asterisk/asterisk.info
+++ b/network/asterisk/asterisk.info
@@ -1,8 +1,10 @@
PRGNAM="asterisk"
-VERSION="1.4.21.2"
+VERSION="1.6.1.6"
HOMEPAGE="http://www.asterisk.org"
-DOWNLOAD="http://downloads.digium.com/pub/asterisk/releases/asterisk-1.4.21.2.tar.gz"
-MD5SUM="46881e1345eca21ea13a7d5b1036fa6e"
+DOWNLOAD="http://downloads.asterisk.org/pub/telephony/asterisk/releases/asterisk-1.6.1.6.tar.gz"
+MD5SUM="63a928373e741524aac09d8c078df7d5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Alan Hicks"
EMAIL="alan@lizella.net"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="rworkman"
diff --git a/network/asterisk/doinst.sh b/network/asterisk/doinst.sh
index f413bbd436..7b36afe22b 100644
--- a/network/asterisk/doinst.sh
+++ b/network/asterisk/doinst.sh
@@ -1,5 +1,3 @@
-#!/bin/sh
-
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
@@ -29,5 +27,4 @@ config etc/asterisk/indications.conf.new
config etc/asterisk/modules.conf.new
config etc/asterisk/musiconhold.conf.new
config etc/asterisk/sip.conf.new
-config etc/asterisk/zapata.conf.new